| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
IG.Forms.BrowserFormOld Class Reference
Inheritance diagram for IG.Forms.BrowserFormOld:
[legend]
Collaboration diagram for IG.Forms.BrowserFormOld:
[legend]

## Public Member Functions
| BrowserFormOld ()

## Static Public Member Functions
static void | BrowserMain ()
static void | Example ()

## Private Member Functions
void | ReportError (Exception ex)
void | webBrowser1_DocumentTitleChanged (object sender, EventArgs e)
void | AddressBar_KeyPress (object sender, KeyPressEventArgs e)
void | webBrowser1_Navigated (object sender, WebBrowserNavigatedEventArgs e)
void | Form1_Load (object sender, EventArgs e)
void | buttonBack_Click (object sender, EventArgs e)
void | buttonForward_Click (object sender, EventArgs e)
void | buttonStop_Click (object sender, EventArgs e)
void | buttonHome_Click (object sender, EventArgs e)
void | buttonRefresh_Click (object sender, EventArgs e)
void | buttonSubmit_Click (object sender, EventArgs e)
void | webBrowser1_CanGoBackChanged (object sender, EventArgs e)
void | webBrowser1_CanGoForwardChanged (object sender, EventArgs e)
void | webBrowser1_Navigating (object sender, WebBrowserNavigatingEventArgs e)
void | webBrowser1_DocumentCompleted (object sender, WebBrowserDocumentCompletedEventArgs e)
void | InitializeComponent ()
void | MenuStrip_ItemClicked (object sender, ToolStripItemClickedEventArgs e)

## Private Attributes
System.Windows.Forms.TextBox | txtAddressBar
System.Windows.Forms.Button | buttonSubmit
System.Windows.Forms.Button | buttonRefresh
System.Windows.Forms.Button | buttonHome
System.Windows.Forms.Button | buttonStop
System.Windows.Forms.Button | buttonForward
MenuStrip | MenuStrip
ToolStripMenuItem | MenuFile
ToolStripMenuItem | MenuFile_Open
ToolStripMenuItem | MenuFile_Close
ToolStripMenuItem | MenuFile_CloseDocument
ToolStripMenuItem | MenuTools
ToolStripMenuItem | MenuTools_Controls
ToolStripSeparator | toolStripSeparator5
ToolStripSeparator | toolStripSeparator6
ToolStripMenuItem | MenuTools_Stop
ToolStripMenuItem | MenuGelp
ToolStripMenuItem | MenuHelp_About
Panel | ControlPnl
Button | TopPnlHideBtn
StatusStrip | statusStrip1
ToolStripStatusLabel | StatusType
ToolStripStatusLabel | StatusPath
ToolStripStatusLabel | StatusError
ToolStripStatusLabel | StatusStatus
ToolStripMenuItem | MenuFile_OpenURL
ToolStripMenuItem | printPreviewToolStripMenuItem
ToolStripMenuItem | printToolStripMenuItem
TabControl | tabControl
TabPage | tabPage1
WebBrowser | webBrowser
System.Windows.Forms.Button | buttonBack

## Constructor & Destructor Documentation

IG.Forms.BrowserFormOld.BrowserFormOld | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.BrowserFormOld.ReportError | ( | Exception | ex | ) |
| inline private

References IG.Forms.UtilForms.ReportError().

void IG.Forms.BrowserFormOld.webBrowser1_DocumentTitleChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.AddressBar_KeyPress | ( | object | sender,
|  | KeyPressEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.webBrowser1_Navigated | ( | object | sender,
|  | WebBrowserNavigatedEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.Form1_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.buttonBack_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.buttonForward_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.buttonStop_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.buttonHome_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.buttonRefresh_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.buttonSubmit_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.webBrowser1_CanGoBackChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.webBrowser1_CanGoForwardChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.webBrowser1_Navigating | ( | object | sender,
|  | WebBrowserNavigatingEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.webBrowser1_DocumentCompleted | ( | object | sender,
|  | WebBrowserDocumentCompletedEventArgs | e
| ) |  |
| inline private

void IG.Forms.BrowserFormOld.InitializeComponent | ( |  | ) |
| inline private

static void IG.Forms.BrowserFormOld.BrowserMain | ( |  | ) |
| inline static

Referenced by IG.Forms.BrowserFormOld.Example().

void IG.Forms.BrowserFormOld.MenuStrip_ItemClicked | ( | object | sender,
|  | ToolStripItemClickedEventArgs | e
| ) |  |
| inline private

static void IG.Forms.BrowserFormOld.Example | ( |  | ) |
| inline static

References IG.Forms.BrowserFormOld.BrowserMain().

## Member Data Documentation

System.Windows.Forms.TextBox IG.Forms.BrowserFormOld.txtAddressBar
| private

System.Windows.Forms.Button IG.Forms.BrowserFormOld.buttonSubmit
| private

System.Windows.Forms.Button IG.Forms.BrowserFormOld.buttonRefresh
| private

System.Windows.Forms.Button IG.Forms.BrowserFormOld.buttonHome
| private

System.Windows.Forms.Button IG.Forms.BrowserFormOld.buttonStop
| private

System.Windows.Forms.Button IG.Forms.BrowserFormOld.buttonForward
| private

MenuStrip IG.Forms.BrowserFormOld.MenuStrip
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuFile
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuFile_Open
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuFile_Close
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuFile_CloseDocument
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuTools
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuTools_Controls
| private

ToolStripSeparator IG.Forms.BrowserFormOld.toolStripSeparator5
| private

ToolStripSeparator IG.Forms.BrowserFormOld.toolStripSeparator6
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuTools_Stop
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuGelp
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuHelp_About
| private

Panel IG.Forms.BrowserFormOld.ControlPnl
| private

Button IG.Forms.BrowserFormOld.TopPnlHideBtn
| private

StatusStrip IG.Forms.BrowserFormOld.statusStrip1
| private

ToolStripStatusLabel IG.Forms.BrowserFormOld.StatusType
| private

ToolStripStatusLabel IG.Forms.BrowserFormOld.StatusPath
| private

ToolStripStatusLabel IG.Forms.BrowserFormOld.StatusError
| private

ToolStripStatusLabel IG.Forms.BrowserFormOld.StatusStatus
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.MenuFile_OpenURL
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.printPreviewToolStripMenuItem
| private

ToolStripMenuItem IG.Forms.BrowserFormOld.printToolStripMenuItem
| private

TabControl IG.Forms.BrowserFormOld.tabControl
| private

TabPage IG.Forms.BrowserFormOld.tabPage1
| private

WebBrowser IG.Forms.BrowserFormOld.webBrowser
| private

System.Windows.Forms.Button IG.Forms.BrowserFormOld.buttonBack
| private

The documentation for this class was generated from the following file:

- igforms/BrowserFormOld.cs